#ifndef MESSAGE_H
#define MESSAGE_H

#ifdef LANGUAGE_ENGLISH 

#define DECISION_BUTTON			PSP_CTRL_CROSS
#define CANCEL_BUTTON			PSP_CTRL_CIRCLE

#define MEMORYSTICK_DIFFERENT	"Memory Stick is different.\n Cancel "
#define MEMORYSTICK_SAME		"Memory Stick is same.\n Cancel "
#define MEMORYSTICK_INSERT		"Please insert the memory stick."
#define MEMORYSTICK_REPLACE1	"Please replace the memory stick."
#define MEMORYSTICK_REPLACE2	"Memory stick must be replaced %d times.\nPlease replace the memory stick.\n%d File %.2f%s\n Cancel "
#define MEMORYSTICK_REPLACE3	"Please replace the memory stick. %d/%d times"

#define MINIMENU_PASTE			"Paste"
#define MINIMENU_COPY			"Copy"
#define MINIMENU_DELETE			"Delete"
#define MINIMENU_RENAME			"Rename"
#define MINIMENU_MKFOLDER		"Make folder"

#define FILEMNGR_TITLE_SRC		"Select copy source"
#define FILEMNGR_TITLE_DEST		"Select copy destination"
#define FILEMNGR_ITEM			"%ditems"

#define IS_NOT_ENOUGH_CAPACITY	"There is not enough capacity.\nPlease delete the file, or change the Memory Stick."
#define COMPLETED_COPYING		"Completed copying"

#define CHECK_DECIDE_FOLDER		"Do you decide on this folder?\n Yes ~ Cancel "
#define CHECK_DELETE_OBJECT		"Do you really want to delete it?\n Yes ~ Cancel "
#define CHECK_OVERWRITE_FOLDER	"%s/%s\nThe folder of the same name already exists.\nDo you want to overwrite?\nYes ~ No \nALL  Cancel "
#define CHECK_OVERWRITE_FILE	"%s/%s\nThe file of the same name already exists.\nDo you want to overwrite?\nYes ~ No \nALL  Cancel "
#define CHECK_START_COPYING		"Start copying.\nYes ~ Cancel "
#define CHECK_START_WRITING		"Start writing.\nYes ~ Cancel "

#else

#define DECISION_BUTTON			PSP_CTRL_CIRCLE
#define CANCEL_BUTTON			PSP_CTRL_CROSS

#define MEMORYSTICK_DIFFERENT	"XeBbNႢ܂B\n LZ ~"
#define MEMORYSTICK_SAME		"XeBbNłB\n LZ ~"
#define MEMORYSTICK_INSERT		"XeBbNĂB"
#define MEMORYSTICK_REPLACE1	"XeBbNւĂB"
#define MEMORYSTICK_REPLACE2	"XeBbN̓ւ%dKvłB\nXeBbNւĂB\n%dt@C %.2f%s\n LZ@~"
#define MEMORYSTICK_REPLACE3	"XeBbNւĂB %d/%d"

#define MINIMENU_PASTE			"\\t"
#define MINIMENU_COPY			"Rs["
#define MINIMENU_DELETE			"폜"
#define MINIMENU_RENAME			"l["
#define MINIMENU_MKFOLDER		"tH_쐬"

#define FILEMNGR_TITLE_SRC		"Rs[I"
#define FILEMNGR_TITLE_DEST		"Rs[I"
#define FILEMNGR_ITEM			"%d"

#define IS_NOT_ENOUGH_CAPACITY	"eʂ܂B\nt@CAXeBbNςĂB"
#define COMPLETED_COPYING		"Rs["

#define CHECK_DECIDE_FOLDER		"̃tH_Ɍ肵܂H \n ͂  LZ ~"
#define CHECK_DELETE_OBJECT		"{ɍ폜܂H \n ͂  LZ ~"
#define CHECK_OVERWRITE_FOLDER	"%s/%s\ñtH_ɂ܂B㏑܂H\n͂   ~\nS  ~ "
#define CHECK_OVERWRITE_FILE	"%s/%s\ñt@Cɂ܂B㏑܂H\n͂   ~\nS  ~ "
#define CHECK_START_COPYING		"Rs[Jn܂ \n ͂  LZ ~"
#define CHECK_START_WRITING		"݂܂ \n ͂  LZ ~"

#endif

#endif

