#include <pspkernel.h>
#include <pspdisplay.h>
#include <pspdebug.h>

#include "callbacks.h"

/* Exit callback */
int exit_callback(int arg1, int arg2, void *common)
{
//	running = 0;
	sceKernelExitGame();
	return 0;
}

/* Callback thread */
int CallbackThread(SceSize args, void *argp)
{
	int cbid;

	cbid = sceKernelCreateCallback("Exit Callback", exit_callback, NULL);
	sceKernelRegisterExitCallback(cbid);
	sceKernelSleepThreadCB();
        
	return 0;
}
/* Sets up the callback thread */
int SetupCallbacks(void)
{
	running = 1;

	int thid = 0;
	thid = sceKernelCreateThread("update_thread", CallbackThread,0x11, 0xFA0, 0, 0);
        
	if(thid >= 0) 
		sceKernelStartThread(thid, 0, 0);

	return thid;
}